<template>
  <component :is="tag" :class="$style['pagetitle']">
    <slot />
  </component>
</template>

<script lang="ts">
import {
  defineComponent,
} from "@nuxtjs/composition-api";

export default defineComponent({
  name: "AmsPageTitle",

  props: {
    tag: {
      type: String,
      default: "h1",
    },
  },
});
</script>

<style lang="postcss" module>
.pagetitle {
  margin-bottom: 10px;

  @apply flex-auto leading-none text-lg font-semibold;

  @screen sm {
    @apply text-xl;
  }
}
</style>
